# Desde un directorio:
#    kubectl create configmap game-config --from-file=configmaptest/
# listar config maps     kubectl get configmap -o wide
# ver en formato YAML    kubectl get configmap game-config -o yaml
# eliminar config map:   kubectl delete configmap game-config

# Sobre un unico archivo
#    kubectl create configmap example-redis-config --from-file=redis-config
#    kubectl describe configmap example-redis-config
#    kubectl apply -f configMapTestVolume.yaml // Se crea el pod con configmap mediante volumes
# ver el fichero en el pod    kubectl exec redis -- cat /redis-master/redis.conf
# eliminar configMap .........kubectl delete configmap example-redis-config
# eliminar pod................kubectl delete pod redis


apiVersion: v1
kind: Pod
metadata:
  name: redis
spec:
  containers:
  - name: redis
    image: redis:5.0.4
    volumeMounts:
    - mountPath: /redis-master
      name: config
  volumes:
    - name: config
      configMap:
        name: example-redis-config
        items:
        - key: redis-config
          path: redis.conf